package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import jakarta.persistence.*;


/**
 * The persistent class for the "unitdict" database table.
 * 
 */
@Entity
@Table(name="\"unitdict\"")
@NamedQuery(name="Unitdict.findAll", query="SELECT u FROM Unitdict u")
public class Unitdict implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"ukey\"")
	private Integer ukey;

	@Column(name="\"value\"")
	private String value;

	public Unitdict() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Integer getUkey() {
		return this.ukey;
	}

	public void setUkey(Integer ukey) {
		this.ukey = ukey;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}